Updates status for multiple users

POST /users/status

Operation id: UserService_UpdateUsersStatus

Description

Permission Level: Read-Write

Tags: UserService

Security

  • Authorization (apiKey)
    • Bearer token

Responses

200 — A successful response.

Content type: application/json

default — An unexpected error response.

Content type: application/json

Request body

Required: Yes

application/json

Schema

PropertyTypeRequiredDescription
tenantIdstringNo
usersAndStatusesarrayNo
{
  "type": "object",
  "properties": {
    "tenantId": {
      "type": "string"
    },
    "usersAndStatuses": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "userId": {
            "type": "string"
          },
          "status": {
            "type": "string",
            "enum": [
              "ONLINE",
              "DND",
              "OFFLINE"
            ],
            "default": "ONLINE"
          }
        }
      }
    }
  }
}

Response models

200 — A successful response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
tenantIdstringNo
statusesarrayNo
{
  "type": "object",
  "properties": {
    "tenantId": {
      "type": "string"
    },
    "statuses": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "userId": {
            "type": "string"
          },
          "userStatus": {
            "type": "string",
            "description": "Status of the user (example: OFFLINE, ONLINE, INVITED)."
          },
          "lastUpdated": {
            "type": "string",
            "format": "date-time"
          }
        }
      }
    }
  }
}

default — An unexpected error response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeinteger (int32)No
messagestringNo
detailsarrayNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer",
      "format": "int32"
    },
    "message": {
      "type": "string"
    },
    "details": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "@type": {
            "type": "string"
          }
        }
      }
    }
  }
}